local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local DoorSlot = ____isaac_2Dtypescript_2Ddefinitions.DoorSlot
local DoorSlotFlag = ____isaac_2Dtypescript_2Ddefinitions.DoorSlotFlag
local DoorSlotFlagZero = ____isaac_2Dtypescript_2Ddefinitions.DoorSlotFlagZero
____exports.DOOR_SLOT_TO_DOOR_SLOT_FLAG = {
    [DoorSlot.NO_DOOR_SLOT] = DoorSlotFlagZero,
    [DoorSlot.LEFT_0] = DoorSlotFlag.LEFT_0,
    [DoorSlot.UP_0] = DoorSlotFlag.UP_0,
    [DoorSlot.RIGHT_0] = DoorSlotFlag.RIGHT_0,
    [DoorSlot.DOWN_0] = DoorSlotFlag.DOWN_0,
    [DoorSlot.LEFT_1] = DoorSlotFlag.LEFT_1,
    [DoorSlot.UP_1] = DoorSlotFlag.UP_1,
    [DoorSlot.RIGHT_1] = DoorSlotFlag.RIGHT_1,
    [DoorSlot.DOWN_1] = DoorSlotFlag.DOWN_1
}
return ____exports
